#!/bin/sh

PROGNAME='CHECK-Printer'

SCP="snmpget"
ARGS='-c public -v 1 -O v'
HOST=$1
OID='.1.3.6.1.2.1.43.16.5.1.2.1.1'
OID2='.1.3.6.1.2.1.43.16.5.1.2.1.2'
CMD=`$SCP $ARGS $HOST $OID |sed 's/STRING: "//'`
CMD2=`$SCP $ARGS $HOST $OID2 |sed 's/STRING: "//'`
ST1=`$SCP $ARGS $HOST $OID |grep -o Ready`
ST2=`$SCP $ARGS $HOST $OID |grep -o Process`
ST3=`$SCP $ARGS $HOST $OID |grep -o Waiting`
ST4=`$SCP $ARGS $HOST $OID |grep -o "Low power"`
ST5=`$SCP $ARGS $HOST $OID |grep -o Sleep`
ST6=`$SCP $ARGS $HOST $OID |grep -o Copy`
ST7=`$SCP $ARGS $HOST $OID |grep -o Scan`
ST8=`$SCP $ARGS $HOST $OID |grep -o Print`


if [ "$ST1" = "Ready" ] ; then

	OUTPUT="${OUTPUT} Printer Status: OK - Printer Idle.|Printer Idle."
	STAT=0
	
	elif [ "$ST2" = "Process" ] ; then
		
		OUTPUT="${OUTPUT} Printer Status: OK - Processing Job|Processing Job."
		STAT=0
		
		elif [ "$ST3" = "Waiting" ] ; then
		
			OUTPUT="${OUTPUT} Printer Status: OK - Waiting For Job.|Waiting For Job."
			STAT=0
		
			elif [ "$ST4" = "Low Power" ] ; then
		
				OUTPUT="${OUTPUT} Printer Status: OK - Running in Low Power Mode.|Running in Low Power Mode."
				STAT=0
	
				elif [ "$ST5" = "Sleep" ] ; then
		
					OUTPUT="${OUTPUT} Printer Status: OK - Printer Sleeping.|Printer Sleeping."
					STAT=0

					elif [ "$ST6" = "Copy" ] ; then
		
						OUTPUT="${OUTPUT} Printer Status: OK - Copying Document.|Copying Document."
						STAT=0

							elif [ "$ST7" = "Scan" ] ; then
		
								OUTPUT="${OUTPUT} Printer Status: OK - Scanning Document.|Scanning Document."
								STAT=0

								elif [ "$ST8" = "Print" ] ; then
		
									OUTPUT="${OUTPUT} Printer Status: OK - Printing Fax.|Printing Fax."
									STAT=0

									else
		
										OUTPUT="${OUTPUT} Printer Status: Critical! - `echo $CMD $CMD2` | `echo $CMD $CMD2` "
										STAT=2

fi

echo $OUTPUT
#echo $CMD
#echo $CMD2
exit $STAT
